import type {Config} from 'tailwindcss';

const config: Config = {
  content: [
    './src/pages/**/*.{js,ts,jsx,tsx,mdx}',
    './src/components/**/*.{js,ts,jsx,tsx,mdx}',
    './src/app/**/*.{js,ts,jsx,tsx,mdx}',
    'node_modules/preline/dist/*.js',
  ],
  darkMode: ["class"],
  theme: {
    colors: {
      transparent: 'transparent',
      current: 'currentColor',
      white: '#ffffff',
      black: '#000000',
      gray: {
        '100': '#f7fafc',
        '200': '#edf2f7',
        '300': '#e2e8f0',
        '400': '#cbd5e0',
        '500': '#a0aec0',
        '600': '#718096',
        '700': '#4a5568',
        '800': '#2d3748',
        '900': '#1a202c',
      },
      'green-olive': {
        '100': '#e8f5e8',
        '200': '#c6e5c6',
        '300': '#a4d5a3',
        '400': '#60b65f',
        '500': '#1c961a',
        '600': '#198717',
        '700': '#115a10',
        '800': '#0d440c',
        '900': '#082d08',
      },
      brown: {
        '100': '#f6f0e6',
        '200': '#e9dbc0',
        '300': '#dbc599',
        '400': '#c0994d',
        '500': '#a56d01',
        '600': '#956201',
        '700': '#634101',
        '800': '#4a3100',
        '900': '#322100',
      },
      yellow: {
        '100': '#fff9e6',
        '200': '#fff1bf',
        '300': '#ffe999',
        '400': '#ffd84d',
        '500': '#ffc700',
        '600': '#e6b300',
        '700': '#997700',
        '800': '#735a00',
        '900': '#4d3c00',
      },
      orange: {
        '100': '#fdf0ee',
        '200': '#fadad4',
        '300': '#f7c4b9',
        '400': '#f29885',
        '500': '#ec6c51',
        '600': '#d46149',
        '700': '#8e4131',
        '800': '#6a3124',
        '900': '#472018',
      },
      dark: {
        '100': '#eaebec',
        '200': '#caccd0',
        '300': '#a9adb3',
        '400': '#69707a',
        '500': '#293241',
        '600': '#252d3b',
        '700': '#191e27',
        '800': '#12171d',
        '900': '#0c0f14',
      },
    },
    fontWeight: {
      thin: '100',
      hairline: '100',
      extralight: '200',
      light: '300',
      normal: '400',
      medium: '500',
      semibold: '600',
      bold: '700',
      'extra-bold': '800',
      black: '900',
    },
    extend: {
      fontFamily: {
        syne: ['syne', 'sans-serif'],
        druk: ['druk', 'sans'],
      },
      backgroundImage: {
        'gradient-radial': 'radial-gradient(var(--tw-gradient-stops))',
        'gradient-conic': 'conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))',
      },
    },
  },
};
export default config;
